## net.sf.saxon.om
Interface Item

All Known Subinterfaces:
  DocumentInfo, NodeInfo, SiblingCountingNode

All Known Implementing Classes:
  AbstractNode, AtomicValue, DocumentImpl, DocumentWrapper, DocumentWrapper, NamespaceNode, NodeWrapper, NodeWrapper, Orphan, StrippedDocument, StrippedNode, TextFragmentValue, TinyDocumentImpl

public interface Item

An Item is an object that can occur as a member of a sequence. There are two kinds of Item: simple values, and nodes.

Method Summary
`java.lang.String` `getStringValue()` Get the value of the item as a string
`SequenceIterator` `getTypedValue(Configuration config)` Get the typed value of the item

Method Detail

### getStringValue

    public java.lang.String getStringValue()
                                    throws XPathException

  Get the value of the item as a string

  Returns:
    the string value of the item
  Throws:
    `XPathException` - if the string value cannot be obtained. Some items have no string value, e.g. a QName

### getTypedValue

    public SequenceIterator getTypedValue(Configuration config)
                                   throws XPathException

  Get the typed value of the item

  Parameters:
    `config` - the configuration: this is needed because it provides access to schema information needed to interpret the type annotation
  Returns:
    the typed value of the item. In general this will be a sequence
  Throws:
    `XPathException` - where no typed value is available, e.g. for an element with complex content